%define major       3.0

%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d

Name:       xen
Version:    4.5.2
%define subrel 5
Release:    %mkrel 1
Summary:    The basic tools for managing XEN virtual machines
Group:      System/Kernel and hardware
License:    GPL
URL:        http://xen.org/
Source0:    http://bits.xensource.com/oss-xen/release/%{version}/%{name}-%{version}.tar.gz
Source2:    %{name}.logrotate
# used by stubdoms
# (from http://xenbits.xen.org/xen-extfiles/):
Source10:   http://xenbits.xen.org/xen-extfiles/lwip-1.3.0.tar.gz
Source11:   http://xenbits.xen.org/xen-extfiles/newlib-1.16.0.tar.gz
Source12:   http://xenbits.xen.org/xen-extfiles/zlib-1.2.3.tar.gz
Source13:   http://xenbits.xen.org/xen-extfiles/pciutils-2.2.9.tar.bz2
Source14:   http://xenbits.xen.org/xen-extfiles/grub-0.97.tar.gz
Source15:   http://xenbits.xen.org/xen-extfiles/polarssl-1.1.4-gpl.tgz
Source16:   http://xenbits.xen.org/xen-extfiles/ipxe-git-9a93db3f0947484e30e753bbd61a10b17336e20e.tar.gz
# upstream stable patches
# CVE-2015-5307 / XSA-156
Patch001:   0001-x86-HVM-always-intercept-AC-and-DB.patch
# (tmb) we still want to show 4.5.2
# Patch002:   0002-update-Xen-version-to-4.5.3-pre.patch
Patch003:   0003-Config-Switch-to-unified-qemu-trees.patch
# CVE-2015-8338 / XSA-158
Patch004:   0004-memory-split-and-tighten-maximum-order-permitted-in-.patch
# CVE-2015-8339 + CVE-2015-8340 / XSA-159
Patch005:   0005-memory-fix-XENMEM_exchange-error-handling.patch
# XSA-160
Patch006:   0006-libxl-Fix-bootloader-related-virtual-memory-leak-on-.patch
Patch007:   0007-QEMU_TAG-update.patch
Patch008:   0008-memory-fix-XSA-158-fix.patch
Patch009:   0009-x86-PoD-Make-p2m_pod_empty_cache-restartable.patch
Patch010:   0010-x86-vmx-improvements-to-vmentry-failure-handling.patch
Patch011:   0011-x86-HVM-don-t-inject-DB-with-error-code.patch
Patch012:   0012-VMX-fix-adjust-trap-injection.patch
Patch013:   0013-sched-fix-locking-for-insert_vcpu-in-credit1-and-RTD.patch
# XSA-163
Patch014:   0014-x86-vPMU-document-as-unsupported.patch
Patch015:   0015-x86-boot-check-for-not-allowed-sections-before-linki.patch
Patch016:   0016-x86-ept-remove-unnecessary-sync-after-resolving-misc.patch
Patch017:   0017-evtchn-don-t-reuse-ports-that-are-still-busy.patch
Patch018:   0018-VT-d-drop-unneeded-Ivybridge-quirk-workaround.patch
Patch019:   0019-x86-time-fix-domain-type-check-in-tsc_set_info.patch
# CVE-2015-8555 / XSA-165
Patch020:   0020-x86-don-t-leak-ST-n-XMMn-values-to-domains-first-usi.patch
# XSA-166
Patch021:   0021-x86-HVM-avoid-reading-ioreq-state-more-than-once.patch
Patch022:   0022-QEMU_TAG-update.patch
Patch023:   0023-QEMU_TAG-update.patch
Patch024:   0024-blktap-Fix-two-maybe-uninitialized-variables.patch
Patch025:   0025-Config.mk-update-OVMF-changeset.patch
Patch026:   0026-oxenstored-Quota.merge-don-t-assume-domain-already-e.patch
Patch027:   0027-tools-ocaml-xb-Correct-calculations-of-data-space-th.patch
# CVE-2016-1570 / XSA-167
Patch028:   0028-x86-mm-PV-superpage-handling-lacks-sanity-checks.patch
# CVE-2016-1571 / XSA-168
Patch029:   0029-x86-VMX-prevent-INVVPID-failure-due-to-non-canonical.patch
Patch030:   0030-x86-vmx-Fix-injection-of-DB-traps-following-XSA-156.patch
Patch031:   0031-docs-correct-descriptions-of-gnttab_max_-maptrack-_f.patch
# CVE-2016-2270 / XSA-154
Patch032:   0032-x86-enforce-consistent-cachability-of-MMIO-mappings.patch
# CVE-2016-2271 / XSA-170
Patch033:   0033-x86-VMX-sanitize-rIP-before-re-entering-guest.patch
Patch034:   0034-x86-mmuext-tighten-TLB-flush-address-checks.patch
Patch035:   0035-x86-fix-and-simplify-MTRR-overlap-checking.patch
Patch036:   0036-x86-mce-fix-misleading-indentation-in-init_nonfatal_.patch
Patch037:   0037-x86-vmx-don-t-clobber-exception_bitmap-when-entering.patch
Patch038:   0038-credit-update-timeslice-under-lock.patch
Patch039:   0039-credit-recalculate-per-cpupool-credits-when-updating.patch
Patch040:   0040-x86-nHVM-avoid-NULL-deref-during-INVLPG-intercept-ha.patch
Patch041:   0041-hvmloader-fix-scratch_alloc-to-avoid-overlaps.patch
Patch042:   0042-xen-arm64-Make-sure-we-get-all-debug-output.patch
Patch043:   0043-x86-fix-unintended-fallthrough-case-from-XSA-154.patch

# upstream xsa fixes not applied to upsteam git yet
Patch101:   xsa162-qemuu.patch
Patch102:   xsa162-qemut.patch
Patch103:   xsa164.patch
Patch104:   xsa169.patch
Patch105:   xsa155-qemu-qdisk-double-access.patch
Patch106:   xsa155-qemu-xenfb.patch
Patch107:   xsa155-qemut-qdisk-double-access.patch
Patch108:   xsa155-qemut-xenfb.patch
Patch109:   xsa155-xen-0001-xen-Add-RING_COPY_REQUEST.patch
Patch110:   xsa155-xen-0002-blktap2-Use-RING_COPY_REQUEST.patch
Patch111:   xsa155-xen-0003-libvchan-Read-prod-cons-only-once.patch

# Mageia patches:
Patch201:   xen-4.1.2-fix-stubdom-Makefile.patch
Patch202:   xen-4.1.3-fix-doc-build.patch
Patch203:   xen-4.2.1-fix-glibc-build.patch
Patch204:   xen-4.2-ocaml-build.patch
Patch205:   ipxe-ath9k-gcc-5.1-buildfix.patch

# fedora patches

Requires:   python
Requires:   python-lxml
Requires:   kmod
Requires:   iptables
Requires:   bridge-utils
Requires:   glibc-xen
Requires:   grub
Requires:   kernel-server
Requires:   %{libname} = %{version}-%{release}
Requires:   xen-hypervisor = %{version}
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper
Requires(preun): rpm-helper
BuildRequires:  SDL-devel
BuildRequires:  libx11-devel
BuildRequires:  gtk2-devel
BuildRequires:  curl-devel
BuildRequires:  dev86-devel
BuildRequires:  libext2fs-devel
BuildRequires:  ncurses-devel
BuildRequires:  libpython-devel >= 2.4
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  lzma-devel
BuildRequires:  pciutils-devel
BuildRequires:  libidn-devel
BuildRequires:  openssl-devel
BuildRequires:  gnutls-devel
BuildRequires:	libgcrypt-devel
BuildRequires:  brlapi-devel
BuildRequires:  e2fsprogs-devel
BuildRequires:  libuuid-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-findlib-devel
BuildRequires:  yajl-devel
BuildRequires:  iasl
BuildRequires:  vde-devel
BuildRequires:  libaio-devel
BuildRequires:  gettext
BuildRequires:  libconfig-devel
# for remus network buffering
BuildRequires:  libnl3-devel
# for seabios support
BuildRequires:	seabios-bin
# for spice support
%ifnarch %arm
BuildRequires:	spice-server-devel
BuildRequires:	spice-protocol
BuildRequires:	pkgconfig(libusbredirparser-0.5) >= 0.6
%endif
# for systemd support
BuildRequires:	systemd-devel
# for virtfs support
BuildRequires:	attr-devel
BuildRequires:	cap-devel
# documentation
BuildRequires:  ghostscript
BuildRequires:  transfig
BuildRequires:  texinfo
BuildRequires:  tetex-latex
BuildRequires:  texi2html
Obsoletes:      xen-uptodate

# security patches

%description 
The basic tools for managing XEN virtual machines.

%package -n ocaml-xen
Summary: Ocaml bindings for Xen
Group: Development/Other
Obsoletes: xen-ocaml < %{version}-%{release}

%description -n ocaml-xen
This package contains the Ocaml bindings for Xen

%package -n ocaml-xen-devel
Summary: Static libraries and header files for Ocaml bindings for Xen
Group: Development/Other
Requires: %{name}-devel = %{version}-%{release}

%description -n ocaml-xen-devel
This package contains the libraries and headers needed only to compile
applications linked on Ocaml bindings for Xen.

%package hypervisor
Summary: Libraries for Xen tools
Group: System/Kernel and hardware

%description hypervisor
This package contains the Xen hypervisor

%package doc
Summary:    XEN documentation
Group:      System/Kernel and hardware
Obsoletes:  xen-uptodate-doc

%description doc
XEN documentation.

%package -n %{libname}
Summary:    Libraries for %{name}
Group:      System/Libraries
Conflicts:  %{name} < 3.1.0-5
# temporary cauldron fix:
Obsoletes:  %mklibname %{name} 4.0
Provides:  %mklibname %{name} 4.0

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with Xen libraries.

%package -n %{develname}
Summary:    Static libraries and header files for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Conflicts:  %{name} < 3.1.0-5

%description -n %{develname}
This package contains the static development libraries and headers needed
to compile applications linked with Xen libraries.

%prep
%setup -q
%apply_patches

# stubdom sources
cp -v %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} stubdom

cp %{SOURCE16} tools/firmware/etherboot/ipxe.tar.gz

%build
# clean all stuff
export CFLAGS="%{optflags}"

%ifnarch %{ix86}
%make prefix=/usr dist-xen
%endif

sed -E -i 's/(as_fn_error \$\? "cannot find wget or ftp" "\$LINENO" 5)/as_fn_status $?/' tools/configure
sed -E -i 's/(as_fn_error \$\? "cannot find wget or ftp" "\$LINENO" 5)/as_fn_status $?/' stubdom/configure
./configure --build=%{_target_platform} \
        --with-system-seabios=%{_datadir}/seabios/bios.bin \
        --with-extra-qemuu-configure-args="--enable-spice --enable-usb-redir --enable-virtfs" \
        --prefix=%{_prefix} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir} \
        --datadir=%{_datadir} \
        --includedir=%{_includedir} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libexecdir} \
        --localstatedir=%{_localstatedir} \
        --sharedstatedir=%{_sharedstatedir} \
        --mandir=%{_mandir} \
        --infodir=%{_infodir}
%make prefix=/usr dist-tools
make  prefix=/usr dist-docs
unset CFLAGS
make dist-stubdom

%install
%ifarch %{ix86}
cat > README.install.urpmi <<_EOF
Since xen 4.3, the hypervisor is no longer supported on x86_32. But fear not,
you can actually use the x86_64 xen hypervisor, even when using a 32bit kernel
and system. This is because the hypervisor is loaded before the kernel and OS.
Keep in mind that a x86_64 capable processor is still required, but then if
you are installing a hypervisor, you really should be using 64bit anyway.
_EOF
ln README.install.urpmi README.4.3.0.upgrade.urpmi
%else
make DESTDIR=%{buildroot} prefix=/usr install-xen
%endif

make DESTDIR=%{buildroot} prefix=/usr install-tools
make DESTDIR=%{buildroot} prefix=/usr install-docs
make DESTDIR=%{buildroot} prefix=/usr install-stubdom

# stubdom: newlib
rm -rf %{buildroot}/usr/*-xen-elf

# no sysvinit anymore
rm -rf %{buildroot}/etc/rc.d

# remove pointless helper
rm -f %{buildroot}%{_sbindir}/xen-python-path

# remove  README's not intended for end users
rm -f %{buildroot}/%{_sysconfdir}/xen/README*

# fix man pages
install -d -m 755 %{buildroot}%{_mandir}/man{1,5}
install -m 644 docs/man/*.1 %{buildroot}%{_mandir}/man1
install -m 644 docs/man/*.5 %{buildroot}%{_mandir}/man5

# install doc manually
rm -rf %{buildroot}%{_docdir}/qemu
install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 README %{buildroot}%{_docdir}/%{name}
install -d -m 755 %{buildroot}%{_docdir}/%{name}/txt
install -d -m 755 %{buildroot}%{_docdir}/%{name}/html
cp -R docs/txt/* %{buildroot}%{_docdir}/%{name}/txt/
cp -R docs/html/* %{buildroot}%{_docdir}/%{name}/html/

# install log directory
install -d -m 755 %{buildroot}%{_localstatedir}/log/xen
install -d -m 755 %{buildroot}%{_localstatedir}/log/xen/console

# udev
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}%{_sysconfdir}/udev/rules.d/xen*.rules %{buildroot}%{_udevrulesdir}

# logrotate
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# move ocaml stubs to correct dir
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs/
mv %{buildroot}%{_libdir}/ocaml/*/dll*_stubs.so %{buildroot}%{_libdir}/ocaml/stublibs/

# standard gnu info files
rm -rf %{buildroot}/usr/info

# find qemu language files
%find_lang qemu

# gprintify has a bug handling some constructs in xendomain
export DONT_GPRINTIFY=1

%post
%_post_service xen-init-dom0
%_post_service xen-qemu-dom0-disk-backend
%_post_service xenstored
%_post_service xenconsoled
%_post_service xendomains

%preun
%_preun_service xendomains
%_preun_service xenconsoled
%_preun_service xenstored
%_preun_service xen-qemu-dom0-disk-backend
%_preun_service xen-init-dom0

%files -f qemu.lang
%dir %{_docdir}/%{name}
%{_docdir}/%{name}/README
%{_sysconfdir}/bash_completion.d/xl.sh
%{_udevrulesdir}/xen*.rules
%dir %{_sysconfdir}/xen
%{_sysconfdir}/xen/scripts
%{_sysconfdir}/xen/auto
%config(noreplace) %{_sysconfdir}/xen/xlexample*
%config(noreplace) %{_sysconfdir}/xen/cpupool
%config(noreplace) %{_sysconfdir}/xen/xl.conf
%config(noreplace) %{_sysconfdir}/xen/oxenstored.conf
%{_mandir}/man*/*
%{_libexecdir}/xen
%{_libdir}/fs
%{_datadir}/qemu-xen/
%exclude /usr/libexec/qemu-bridge-helper
/usr/etc/qemu/target-x86_64.conf
%{py_platsitedir}/xen
%{py_platsitedir}/grub/*
%{py_platsitedir}/fsimage.so
%{py_platsitedir}/pygrub-0.3-py%{pyver}.egg-info
%{py_platsitedir}/xen-3.0-py%{pyver}.egg-info
%{_datadir}/xen
%{_localstatedir}/log/xen
%{_localstatedir}/log/xen/console
# general xen state
%{_localstatedir}/lib/xen
/usr/lib/modules-load.d/xen.conf
%{_unitdir}/proc-xen.mount
%{_unitdir}/var-lib-xenstored.mount
%{_unitdir}/xen-init-dom0.service
%{_unitdir}/xen-qemu-dom0-disk-backend.service
%{_unitdir}/xen-watchdog.service
%{_unitdir}/xenconsoled.service
%{_unitdir}/xendomains.service
%{_unitdir}/xenstored.service
%{_unitdir}/xenstored.socket
%{_unitdir}/xenstored_ro.socket
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains
%config(noreplace) %{_sysconfdir}/sysconfig/xencommons
%config(noreplace) %{_sysconfdir}/logrotate.d/xen
%{_sbindir}/xenstored
%{_sbindir}/xenconsoled
%{_sbindir}/xentop
%{_sbindir}/xen-bugtool
%{_sbindir}/xenbaked
%{_sbindir}/xenmon.py
%{_sbindir}/img2qcow
%{_sbindir}/qcow-create
%{_sbindir}/qcow2raw
%{_sbindir}/xentrace_setmask
%{_sbindir}/xencov
%{_sbindir}/xenperf
%{_sbindir}/xenpm
%{_sbindir}/xenpmd
%{_sbindir}/gtracestat
%{_sbindir}/gtraceview
%{_sbindir}/lock-util
%{_sbindir}/tapdisk-client
%{_sbindir}/tapdisk-diff
%{_sbindir}/tapdisk-stream
%{_sbindir}/tapdisk2
%{_sbindir}/td-util
%{_sbindir}/vhd-update
%{_sbindir}/vhd-util
%{_sbindir}/xen-hvmctx
%{_sbindir}/xen-tmem-list-parse
%{_sbindir}/xenlockprof
%{_sbindir}/xen-lowmemd
%{_sbindir}/xen-ringwatch
%{_sbindir}/xl
%{_sbindir}/gdbsx
%{_sbindir}/kdd
%{_sbindir}/oxenstored
%{_sbindir}/tap-ctl
%{_sbindir}/xen-hptool
%{_sbindir}/xen-hvmcrash
%{_sbindir}/xen-mfndump
%{_sbindir}/xenwatchdogd
%{_bindir}/xencons
%{_bindir}/xencov_split
%{_bindir}/xentrace
%{_bindir}/xentrace_format
%{_bindir}/xentrace_setsize
%{_bindir}/xenstore-*
%{_bindir}/pygrub
%{_bindir}/xen-detect
%{_bindir}/qemu-img-xen
%{_bindir}/qemu-nbd-xen
%{_bindir}/xenstore

%files -n ocaml-xen
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*

%files -n ocaml-xen-devel
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx

%files hypervisor
%ifarch %{ix86}
%doc README.4.3.0.upgrade.urpmi README.install.urpmi
%else
/boot/xen-syms-*
/boot/xen-*.gz
/boot/xen.gz
%endif

%files doc
%{_docdir}/%{name}/*
%exclude %{_docdir}/%{name}/README
%doc docs/txt/* docs/html/*

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{develname}
%{_includedir}/xen
%{_includedir}/xenstore-compat
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/*.a


%changelog
* Thu Feb 25 2016 tmb <tmb> 4.5.2-1.5.mga5
+ Revision: 979131
- sync in upstream fixes from upstream stable 4.5 branch
- PV superpage functionality missing sanity checks
  (XSA167 / CVE-2016-1570)
- VMX: intercept issue with INVLPG on non-canonical address
  (XSA-168 / CVE-2016-1571)
- paravirtualized drivers incautious about shared memory contents
  (CVE-2015-8550 / XSA-155)
- memory: split and tighten maximum order permitted in memops
  (CVE-2015-8338 / XSA-158)
- memory: fix XENMEM_exchange error handling
  (CVE-2015-8339 + CVE-2015-8340 / XSA-159)
- libxl: Fix bootloader-related virtual memory leak on pv build failure
- x86/PoD: Make p2m_pod_empty_cache() restartable
- x86/vmx: improvements to vmentry failure handling
- x86/HVM: don't inject #DB with error code
- VMX: fix/adjust trap injection
- sched: fix locking for insert_vcpu() in credit1 and RTDS
- x86/vPMU: document as unsupported (XSA-163)
- x86/boot: check for not allowed sections before linking
- x86/ept: remove unnecessary sync after resolving misconfigured entries
- evtchn: don't reuse ports that are still "busy"
- VT-d: drop unneeded Ivybridge quirk workaround
- x86/time: fix domain type check in tsc_set_info()
- x86: don't leak ST(n)/XMMn values to domains first using them
  (CVE-2015-8555 / XSA-165)
- x86/HVM: avoid reading ioreq state more than once (XSA-166)
- net: pcnet: add check to validate receive data size
  (XSA-162 / CVE-2015-7504)
- MSI-X: avoid array overrun upon MSI-X table writes
  (XSA-164 / CVE pending)
- x86: make debug output consistent in hvm_set_callback_via
  (XSA-169 / CVE pending)
- fix xsa156
- update to 4.5.2 (maintenance release)
  * drop merged xsa security fixes
- fix XSA145 - XSA153
- add missing xsa135 fixes to qemu-xen-traditional
- add fixes for xsa137-xsa142
- fix ixpe ath9k build with gcc 5.1+
- update to 4.5.1 (fixes XSA-117 to XSA-136)

* Fri Feb 20 2015 alien <alien> 4.5.0-4.mga5
+ Revision: 816020
- Fix virtio-9p support (shared folders)

* Thu Feb 19 2015 alien <alien> 4.5.0-3.mga5
+ Revision: 815803
- Fix service startup

* Thu Feb 19 2015 alien <alien> 4.5.0-2.mga5
+ Revision: 815785
- Add Spice support
- Fix seabios

* Mon Feb 02 2015 alien <alien> 4.5.0-1.mga5
+ Revision: 813108
- Update to version 4.5.0
- xend has now been removed
- remus has been integrated with xl
- add internal qemu translations
- include remus network buffering

* Tue Dec 02 2014 philippem <philippem> 4.4.1-5.mga5
+ Revision: 800394
- remove dependency on python-pyxml and change to python-lxml

* Wed Oct 15 2014 umeabot <umeabot> 4.4.1-4.mga5
+ Revision: 738855
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.4.1-3.mga5
+ Revision: 730736
- rebuild for missing pythoneggs deps

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Sat Sep 06 2014 tv <tv> 4.4.1-1.mga5
+ Revision: 672956
- new release

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Mar 31 2014 tv <tv> 4.4.0-5.mga5
+ Revision: 610946
- readd back old ipxe tarball
  (we need to package edk2 + cross-binutils before packaging ipxe)
- add units files to file list
- install modules sysconfig file w/o executable permission
- add systemd units from FC
- further sync with FC
- sync stubdoms with FC
- drop old qemu-xen-4.0.0-rc4.tar.gz

* Mon Mar 31 2014 tv <tv> 4.4.0-4.mga5
+ Revision: 610826
- revert major bump for now (libification is wrong for quite some time with mixed majors)

* Mon Mar 31 2014 tv <tv> 4.4.0-3.mga5
+ Revision: 610820
- fix conflict with qemu

* Sun Mar 30 2014 tv <tv> 4.4.0-2.mga5
+ Revision: 610357
- bump major

* Sun Mar 30 2014 tv <tv> 4.4.0-1.mga5
+ Revision: 610096
- adjust file list
- new release

* Fri Nov 08 2013 alien <alien> 4.3.1-2.mga4
+ Revision: 550006
- Fix XSA-75(No CVE yet) - Host crash due to guest VMX instruction execution

* Sun Nov 03 2013 alien <alien> 4.3.1-1.mga4
+ Revision: 549232
- Update to version 4.3.1

* Fri Nov 01 2013 alien <alien> 4.3.0-7.mga4
+ Revision: 548766
- fix Security bug XSA73/No CVE yet - Lock order reversal between page allocation and grant table locks

* Tue Oct 29 2013 alien <alien> 4.3.0-6.mga4
+ Revision: 547869
- Security fix XSA72/CVE-2013-4416: ocaml xenstored mishandles oversized message replies

* Tue Oct 22 2013 umeabot <umeabot> 4.3.0-5.mga4
+ Revision: 544714
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.3.0-4.mga4
+ Revision: 500002
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 alien <alien> 4.3.0-3.mga4
+ Revision: 497613
+ rebuild (emptylog)

* Mon Oct 14 2013 alien <alien> 4.3.0-2.mga4
+ Revision: 497500
- fix building in 32bit

* Mon Oct 14 2013 alien <alien> 4.3.0-1.mga4
+ Revision: 497469
- Exclude unsupported i586 hypervisor
- Fix building without fetcher
- Update to new version 4.3.0
- include polarssl for stubdom
- add xencov & xencov_split executables
- rediff xencommon patch
- remove upstreamed patches
- Fix XSA62,XSA63,XSA64,XSA66,XSA67,XSA68,XSA69,XSA70: CVE-2013-1442, CVE-2013-4355, CVE-2013-4356, CVE-2013-4361, CVE-2013-4368, CVE-2013-4369, CVE-2013-4370, CVE-2013-4371

* Wed Jun 12 2013 tv <tv> 4.2.2-1.mga4
+ Revision: 442161
- add man fix from FC
- new release
- drop merged patches
- drop useless gcc-4.5 support patch
- add security patches from FC

  + fwang <fwang>
    - rebuild for new brlapi

* Thu May 02 2013 alien <alien> 4.2.1-16.mga3
+ Revision: 412012
- Fix CVE-2013-1918 and CVE-2013-1952

* Thu Apr 18 2013 alien <alien> 4.2.1-15.mga3
+ Revision: 410438
- Fix CVE-2013-1917 & CVE-2013-1919

* Wed Apr 17 2013 alien <alien> 4.2.1-14.mga3
+ Revision: 410392
- Fix CVE-2013-1920
- Fix CVE-2012-5634, CVE-2013-0151, CVE-2013-0152, CVE-2013-0153, CVE-2013-0154 & CVE-2013-0215

* Tue Apr 09 2013 alien <alien> 4.2.1-12.mga3
+ Revision: 409145
- Fix libvirtd crash after shutdown guest

* Fri Apr 05 2013 alien <alien> 4.2.1-11.mga3
+ Revision: 408343
- fix missing requires

* Thu Apr 04 2013 alien <alien> 4.2.1-10.mga3
+ Revision: 407565
- fix and split ocaml packages

* Sat Mar 30 2013 tv <tv> 4.2.1-9.mga3
+ Revision: 406775
- patch 4: fix qemu-system-i386 path in xencommons service (mga#9294)

* Sun Mar 24 2013 colin <colin> 4.2.1-8.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Mar 03 2013 alien <alien> 4.2.1-7.mga3
+ Revision: 401283
- typo in filename
- helperscripts are only moved if different arch
- Move helper scripts to location they are looked after by various scripts and hardcoded binaries

* Sat Mar 02 2013 alien <alien> 4.2.1-6.mga3
+ Revision: 401170
- Fix creation of log directory

* Sat Mar 02 2013 alien <alien> 4.2.1-5.mga3
+ Revision: 401025
- Fix xenstored detection

* Wed Jan 16 2013 colin <colin> 4.2.1-4.mga3
+ Revision: 388627
- Use tmpfiles to create /run dirs.

* Mon Jan 14 2013 umeabot <umeabot> 4.2.1-3.mga3
+ Revision: 386743
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 alien <alien> 4.2.1-2.mga3
+ Revision: 361563
- Fix udev migration
- fix /run being tmpfs

* Tue Jan 08 2013 alien <alien> 4.2.1-1.mga3
+ Revision: 343172
- Update to new version

* Thu Aug 23 2012 guillomovitch <guillomovitch> 4.1.3-1.mga3
+ Revision: 283231
- new version

  + alien <alien>
    - add security patches

* Sun Jun 10 2012 tv <tv> 4.1.2-5.mga3
+ Revision: 259292
- require kmod instead of module-init-tools

* Mon Mar 26 2012 alien <alien> 4.1.2-4.mga2
+ Revision: 226967
- Fix for dom0 .xz compressed kernels

* Tue Mar 13 2012 guillomovitch <guillomovitch> 4.1.2-3.mga2
+ Revision: 223229
- debian patch for CVE-2012-0029

* Tue Mar 06 2012 malo <malo> 4.1.2-2.mga2
+ Revision: 219491
- rebuild for new vde
- rename xen-ocaml to ocaml-xen, per OCaml policy

* Wed Jan 25 2012 tmb <tmb> 4.1.2-1.mga2
+ Revision: 201370
- update to 4.1.2
- kernel-xen-pvops is now merged with kernel-server
- drop defattr

* Thu Nov 03 2011 dmorgan <dmorgan> 4.1.1-2.mga2
+ Revision: 161928
- Change tetex-texi2html into texi2html

  + fwang <fwang>
    - drop invalid Default-Enabled keyword
    - br gcrypt

  + tv <tv>
    - new release

* Mon Apr 11 2011 tmb <tmb> 4.1.0-2.mga1
+ Revision: 83471
- rebuild for missing x86_64 packages

* Sun Apr 10 2011 tmb <tmb> 4.1.0-1.mga1
+ Revision: 83034
- update to 4.1.0
- add ipxe sources
- require kernel-xen-pvops

* Mon Mar 07 2011 saispo <saispo> 4.0.1-1.mga1
+ Revision: 65925
- imported package xen

